import request from '@/utils/request'

// 查询抖音列表
export function listDy(query) {
  return request({
    url: '/tcZz/netManage/dy/list',
    method: 'get',
    params: query
  })
}

// 查询抖音详细
export function getDy(id) {
  return request({
    url: '/tcZz/netManage/dy/' + id,
    method: 'get'
  })
}

// 新增抖音
export function addDy(data) {
  return request({
    url: '/tcZz/netManage/dy',
    method: 'post',
    data: data
  })
}

// 修改抖音
export function updateDy(data) {
  return request({
    url: '/tcZz/netManage/dy',
    method: 'put',
    data: data
  })
}

// 删除抖音
export function delDy(id) {
  return request({
    url: '/tcZz/netManage/dy/' + id,
    method: 'delete'
  })
}

// 抖音批量启用禁用
export function updateIsStatus(query) {
  return request({
    url: '/tcZz/netManage/dy/isStatus',
    method: 'get',
    params: query
  })
}

// 通用导入
export function importExcel(data) {
  return request({
    url: '/tcZz/netManage/dy/common/importExcel',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}